
Redmine - Patch #1724

rdm-mailhandler.rb can't handle https url

2008-07-31 16:35 - Frotran Def

Status: Closed Start date: 2008-07-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 0.8   

Description

When I tried to use the rdm-mailhanlder.rb script with a https URL, I got the following error.

/usr/lib/ruby/1.8/net/http.rb:2022:in `read_status_line': wrong status line: "<!DOCTYPE HTML PUBLI

C \"-//IETF//DTD HTML 2.0//EN\">" (Net::HTTPBadResponse)

        from /usr/lib/ruby/1.8/net/http.rb:2009:in `read_new'

        from /usr/lib/ruby/1.8/net/http.rb:1050:in `request'

        from /usr/lib/ruby/1.8/net/http.rb:405:in `post_form'

        from /usr/lib/ruby/1.8/net/http.rb:543:in `start'

        from /usr/lib/ruby/1.8/net/http.rb:404:in `post_form'

        from /opt/rails/redmine/extra/mail_handler/rdm-mailhandler.rb:62:in `submit'

        from /opt/rails/redmine/extra/mail_handler/rdm-mailhandler.rb:112

 I search around the internet and created a patch for this. Based on 

http://www.missiondata.com/blog/ruby/65/building-a-better-world-with-google-spreadsheets/.

Redmine version: trunk (revision 1711)

rdm-mailhandler.rb: revision 1643

Ruby version: ruby 1.8.6 (2007-09-24 patchlevel 111)

Associated revisions

Revision 1715 - 2008-08-03 13:07 - Jean-Philippe Lang

Fixes rdm-mailhandler SSL support (#1724).

History

#1 - 2008-08-01 08:57 - Frotran Def

- File rdm-mailhandler.rb.patch added

I enhanced the patch to distinguish between http and https connection.

It's a quick and dirty hack, a option is probably a better soultion.

#2 - 2008-08-03 13:05 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

Fixed in r1715 with a slightly different patch.

Thanks for pointing out.

#3 - 2009-11-28 13:21 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

Files

rdm-mailhandler.rb.patch 910 Bytes 2008-07-31 Frotran Def

rdm-mailhandler.rb.patch 999 Bytes 2008-08-01 Frotran Def
